org.apache.ignite.internal.sql

## Class SqlParser

- java.lang.Object
- - org.apache.ignite.internal.sql.SqlParser

    public class SqlParser
    extends Object

SQL parser.

### Constructor Summary

Constructors
Constructor and Description
`SqlParser(String schemaName, String sql)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlCommand` `nextCommand()` Get next command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlParser

    public SqlParser(@Nullable
                     String schemaName,
                     String sql)

Constructor.

Parameters:
  `schemaName` - Schema name.
  `sql` - Original SQL.

### Method Detail

#### nextCommand

    public SqlCommand nextCommand()

Get next command.

Returns:
  Command or `null` if end of script is reached.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018